Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FieldInvertState Class Reference

This class tracks the number and position / offset parameters of terms being added to the index. The information collected in this class is also used to calculate the normalization factor for a field. More...

`#include <FieldInvertState.h>`

Inheritance diagram for Lucene::FieldInvertState:

## Public Member Functions

| FieldInvertState (int32_t position=0, int32_t length=0, int32_t numOverlap=0, int32_t offset=0, double boost=0)
virtual | ~FieldInvertState ()
virtual String | getClassName ()
boost::shared_ptr< FieldInvertState > | shared_from_this ()
void | reset (double docBoost)
| Re-initialize the state, using this boost value. More...
int32_t | getPosition ()
| Get the last processed term position. More...
int32_t | getLength ()
| Get total number of terms in this field. More...
int32_t | getNumOverlap ()
| Get the number of terms with positionIncrement == 0. More...
int32_t | getOffset ()
| Get end offset of the last processed term. More...
double | getBoost ()
| Get boost value. This is the cumulative product of document boost and field boost for all field instances sharing the same field name. More...
AttributeSourcePtr | getAttributeSource ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

INTERNAL | __pad0__: int32_t position
int32_t | length
int32_t | numOverlap
int32_t | offset
double | boost
AttributeSourcePtr | attributeSource

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This class tracks the number and position / offset parameters of terms being added to the index. The information collected in this class is also used to calculate the normalization factor for a field.

## Constructor & Destructor Documentation

## ◆ FieldInvertState()

Lucene::FieldInvertState::FieldInvertState | ( | int32_t | position = `0`,
|  | int32_t | length = `0`,
|  | int32_t | numOverlap = `0`,
|  | int32_t | offset = `0`,
|  | double | boost = `0`
| ) |  |

## ◆ ~FieldInvertState()

virtual Lucene::FieldInvertState::~FieldInvertState | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FieldInvertState::_getClassName | ( |  | ) |

inline static

## ◆ getAttributeSource()

AttributeSourcePtr Lucene::FieldInvertState::getAttributeSource | ( |  | ) |

## ◆ getBoost()

double Lucene::FieldInvertState::getBoost | ( |  | ) |

Get boost value. This is the cumulative product of document boost and field boost for all field instances sharing the same field name.

Returns
  the boost

## ◆ getClassName()

virtual String Lucene::FieldInvertState::getClassName | ( |  | ) |

inline virtual

## ◆ getLength()

int32_t Lucene::FieldInvertState::getLength | ( |  | ) |

Get total number of terms in this field.

Returns
  the length

## ◆ getNumOverlap()

int32_t Lucene::FieldInvertState::getNumOverlap | ( |  | ) |

Get the number of terms with positionIncrement == 0.

Returns
  the numOverlap

## ◆ getOffset()

int32_t Lucene::FieldInvertState::getOffset | ( |  | ) |

Get end offset of the last processed term.

Returns
  the offset

## ◆ getPosition()

int32_t Lucene::FieldInvertState::getPosition | ( |  | ) |

Get the last processed term position.

Returns
  the position

## ◆ reset()

void Lucene::FieldInvertState::reset | ( | double | docBoost | ) |

Re-initialize the state, using this boost value.

Parameters

  docBoost | boost value to use.

## ◆ shared_from_this()

boost::shared_ptr< FieldInvertState > Lucene::FieldInvertState::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ __pad0__

INTERNAL Lucene::FieldInvertState::__pad0__

## ◆ attributeSource

AttributeSourcePtr Lucene::FieldInvertState::attributeSource

## ◆ boost

double Lucene::FieldInvertState::boost

## ◆ length

int32_t Lucene::FieldInvertState::length

## ◆ numOverlap

int32_t Lucene::FieldInvertState::numOverlap

## ◆ offset

int32_t Lucene::FieldInvertState::offset

The documentation for this class was generated from the following file:

- FieldInvertState.h

clucene.sourceforge.net